Bug 443613 - Review Request: json-glib - Library for JavaScript Object Notation format
Review Request: json-glib - Library for JavaScript Object Notation format
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 11:22 EDT by Brian Pepple
Modified: 2008-05-30 20:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-30 20:23:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2008-04-22 11:22:41 EDT
Spec URL: http://bpepple.fedorapeople.org/rpms/json-glib.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/json-glib-0.4.0-1.fc9.src.rpm
Description: json-glib is a library providing serialization and deserialization support for the JavaScript Object Notation (JSON) format.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=574814
Comment 1 Jason Tibbitts 2008-05-11 14:25:56 EDT
It looks like 0.6.0 has recently come out; did you want to update or stick with
0.4.0?  Anyway, here's a review of 0.4.0; if you think 0.6.0 is significantly
different then drop an updated package and I'll review it instead.

The test suite is odd.  It's there, but "make check" doesn't actually run any
tests.  The built tests are just executables which produce some output and exit
0.  I guess it doesn't hurt to call it just in case; perhaps a test suite will
appear one day.

/usr/share/gtk-doc/html seems to be unowned in the -devel package.  I guess a
dependency on gtk-doc is needed, although several other packages seem to own
that directory.

I note that the library calls itself libjson-glib-1.0; I wonder if that's an
issue given that it's not actually 1.0 yet.

* source files match upstream:
   f0ac5c90505fa187cff7409a8d660d8ac8ec867f3abedbe7e42944268632baa9  
   json-glib-0.4.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
? latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
? final provides and requires are sane:
  json-glib-0.4.0-1.fc9.x86_64.rpm
   libjson-glib-1.0.so.0()(64bit)
   json-glib = 0.4.0-1.fc9
  =
   /sbin/ldconfig
   libglib-2.0.so.0()(64bit)
   libgobject-2.0.so.0()(64bit)
   libjson-glib-1.0.so.0()(64bit)

  json-glib-devel-0.4.0-1.fc9.x86_64.rpm
   json-glib-devel = 0.4.0-1.fc9
  =
   glib2-devel
   json-glib = 0.4.0-1.fc9
   libjson-glib-1.0.so.0()(64bit)
   pkgconfig
?  perhaps needs gtk-doc

* %check is present, although it doesn't actually do anything.
* shared libraries present; ldconfig is called properly.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (ldconfig)
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel package.
* pkgconfig files are in the -devel package, with pkgconfig dependency.
* no static libraries.
* no libtool .la files.
Comment 2 Brian Pepple 2008-05-19 19:22:18 EDT
Spec URL: http://bpepple.fedorapeople.org/rpms/json-glib.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/json-glib-0.6.0-1.fc9.src.rpm

* Mon May 19 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.6.0-1
- Update 0.6.0.
- Disable tests for now.
- Add requires on gtk-doc.

Notes:
"I note that the library calls itself libjson-glib-1.0; I wonder if that's an
issue given that it's not actually 1.0 yet."

Emmanuele has noted that json-glib api is stable, so it's not a problem that
it's not actually at 1.0 yet.
----
"The test suite is odd.  It's there, but "make check" doesn't actually run any
tests.  The built tests are just executables which produce some output and exit
0.  I guess it doesn't hurt to call it just in case; perhaps a test suite will
appear one day."

The developer has added some tests to the test suite, but I've disabled them for
now, until I get a chance to look at them a little closer.

Tibbs, thanks for your initial review!
Comment 3 Brian Pepple 2008-05-19 19:36:21 EDT
(In reply to comment #2)
> Spec URL: http://bpepple.fedorapeople.org/rpms/json-glib.spec
> SRPM URL: http://bpepple.fedorapeople.org/rpms/json-glib-0.6.0-1.fc9.src.rpm
> 
> * Mon May 19 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.6.0-1
> - Update 0.6.0.
> - Disable tests for now.
> - Add requires on gtk-doc.

Opps, forgot to add a link to a scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=618790
Comment 4 Jason Tibbitts 2008-05-30 18:49:28 EDT
Somehow I let this slip through the cracks.  Sorry about that.

Everything looks fine to me.

APPROVED
Comment 5 Brian Pepple 2008-05-30 19:32:07 EDT
New Package CVS Request
=======================
Package Name: json-glib
Short Description: Library for JavaScript Object Notation format
Owners: bpepple
Branches: F-9
InitialCC:
Cvsextras Commits: Yes
Comment 6 Jason Tibbitts 2008-05-30 19:52:37 EDT
CVS done.
Comment 7 Brian Pepple 2008-05-30 20:23:34 EDT
Tibbs, thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.